FUSE ESB
  1. FUSE ESB
  2. ESB-1620

Wrap Protocol from PAX URL to provision a non-OSGi-ready artifact producing "Should not skip: ^" output

    Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Done
    • Affects Version/s: 4.4.1-fuse-01-06
    • Fix Version/s: 4.4.1-fuse-02-xx
    • Component/s: None
    • Labels:
      None
    • Environment:
      4.4.1-fuse-01-13
    • Similar Issues:
      Show 10 results 

      Description

      When using the wrap protocol from PAX URL to provision a non-OSGi-ready artifact the following output is produced and customer would like to have it surpressed. The following shows an example when installing com.google.guava/guava/r09...

      karaf@root> osgi:install wrap:mvn:com.google.guava/guava/r09
      Should not skip: ^
      Should not skip: ^
      Should not skip: ^
      Should not skip: ^
      Should not skip: ^
      Should not skip: ^
      Should not skip: ^
      Should not skip: ^
      Should not skip: ^
      Bundle ID: 249
      karaf@root> 

        Gliffy Diagrams

        1. maven-metadata-local.xml
          0.3 kB
          Jason Sherman

          Activity

          Hide
          Jason Sherman added a comment -

          Attached jar file that reproduces issue.

          Show
          Jason Sherman added a comment - Attached jar file that reproduces issue.
          Hide
          Jason Sherman added a comment -

          I tested this with the latest version of guava (11.0.1) and I get the same result...

          karaf@root> osgi:install wrap:mvn:com.google.guava/guava/11.0.1
          Should not skip: ^
          Should not skip: ^
          Should not skip: ^
          Should not skip: ^
          Should not skip: ^
          Should not skip: ^
          Should not skip: ^
          Should not skip: ^
          Should not skip: ^
          Bundle ID: 251
          karaf@root> 
           

          Show
          Jason Sherman added a comment - I tested this with the latest version of guava (11.0.1) and I get the same result... karaf@root> osgi:install wrap:mvn:com.google.guava/guava/11.0.1 Should not skip: ^ Should not skip: ^ Should not skip: ^ Should not skip: ^ Should not skip: ^ Should not skip: ^ Should not skip: ^ Should not skip: ^ Should not skip: ^ Bundle ID: 251 karaf@root>  
          Hide
          Gert Vanthienen added a comment -

          The upcoming 1.4.0 release of pax-url-wrap should fix the issue - I just tried with the latest snapshot and the warnings are no longer there:

          karaf@root> osgi:list -t 0 | grep "wrap:"
          [   1] [Active     ] [            ] [       ] [    5] OPS4J Pax Url - wrap: (1.4.0.SNAPSHOT)
          karaf@root> osgi:install wrap:mvn:com.google.guava/guava/r09
          Bundle ID: 218

          Show
          Gert Vanthienen added a comment - The upcoming 1.4.0 release of pax-url-wrap should fix the issue - I just tried with the latest snapshot and the warnings are no longer there: karaf@root> osgi:list -t 0 | grep "wrap:" [ 1] [Active ] [ ] [ ] [ 5] OPS4J Pax Url - wrap: (1.4.0.SNAPSHOT) karaf@root> osgi:install wrap:mvn:com.google.guava/guava/r09 Bundle ID: 218
          Hide
          Jason Sherman added a comment -

          Attached JBossAll.jar which is causes a uses conflict when being wrapped by pax-url-wrap-1.4.0-SNAPSHOT

          Show
          Jason Sherman added a comment - Attached JBossAll.jar which is causes a uses conflict when being wrapped by pax-url-wrap-1.4.0-SNAPSHOT
          Hide
          Gert Vanthienen added a comment -

          Upgraded to the Pax URL 1.2.6.fuse-01 release in the karaf-2.2.2-fuse-02 branch

          commit 30d02884bdf241067eac80c500be5966a5cd64a7 (fuse/karaf-2.2.2-fuse-02, karaf-2.2.2-fuse-02)
          Author: Gert Vanthienen <gert.vanthienen@java.eu>
          Date:   Mon Feb 6 23:03:10 2012 +0100
           
              ESB-1620: Upgrade to Pax URL 1.2.6.fuse-01

          Show
          Gert Vanthienen added a comment - Upgraded to the Pax URL 1.2.6.fuse-01 release in the karaf-2.2.2-fuse-02 branch commit 30d02884bdf241067eac80c500be5966a5cd64a7 (fuse/karaf-2.2.2-fuse-02, karaf-2.2.2-fuse-02) Author: Gert Vanthienen <gert.vanthienen@java.eu> Date: Mon Feb 6 23:03:10 2012 +0100   ESB-1620: Upgrade to Pax URL 1.2.6.fuse-01

            People

            • Assignee:
              Gert Vanthienen
              Reporter:
              Jason Sherman
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: